Subject: Re: bug#12611: Bugfix for broken hunspell choices

From: Agustin Martin <[email-masked]>
Date: Thu, 11 Oct 2012 12:53:21 +0200

On Wed, Oct 10, 2012 at 05:57:44PM +0200, Eli Zaretskii wrote:
> > Date: Wed, 10 Oct 2012 12:48:26 +0200
> > From: Agustin Martin <[email-masked]>
> > 
> > > The only way I was able to generate choices for all wrong written
> > > word is by skiping the -a parameter.
> > 
> > All the ispell.el communication with the spellchecker is done in pipe mode
> > (-a mode). If you disable it you will completely disable normal
> > communication.
> 
> Indeed.
> 
> > You are probably hit by some of the oddities in hunspell pipe mode
> > regarding UTF-8 characters.
> 
> You mean "bugs".  Yes, quite probably.  The solution is to fix
> Hunspell (I think I can give the OP patches, if he can build his own
> Hunspell).

Indeed. Browsing into hunspell bug tracker I noticed another report (with
proposed change) that may be related to this problem,

  http://sourceforge.net/tracker/?func=detail&aid=3468022&group_id=143754&atid=756395
  No Encoding of Word for Suggestions in Piped Mode - ID: 3468022

A consequence of this bug seems that when communicated with in UTF-8, useful
suggestions are not generated from an 8-bit dictionary.

This in adition to report and changes proposed in

  http://sourceforge.net/tracker/?func=detail&aid=3178449&group_id=143754&atid=756395
 Bad UTF-8 char count in pipe mode - ID: 3178449

Hope they will soon be fixed

-- 
Agustin